net.sourceforge.jnlp.security

## Class VariableX509TrustManagerJDK7

- java.lang.Object
- - X509ExtendedTrustManager
  - - net.sourceforge.jnlp.security.VariableX509TrustManagerJDK7

    public class VariableX509TrustManagerJDK7
    extends X509ExtendedTrustManager

### Constructor Summary

Constructors
Constructor and Description
`VariableX509TrustManagerJDK7()`

### Method Summary

Methods
`void` `checkClientTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType)`
`void` `checkClientTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType, java.net.Socket socket)`
`void` `checkClientTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType, javax.net.ssl.SSLEngine engine)`
`void` `checkServerTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType)`
`void` `checkServerTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType, java.net.Socket socket)`
`void` `checkServerTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType, javax.net.ssl.SSLEngine engine)`
`java.security.cert.X509Certificate[]` `getAcceptedIssuers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VariableX509TrustManagerJDK7

    public VariableX509TrustManagerJDK7()

### Method Detail

#### checkClientTrusted

    public void checkClientTrusted(java.security.cert.X509Certificate[] chain,
                          java.lang.String authType)
                            throws java.security.cert.CertificateException

Throws:
  `java.security.cert.CertificateException`

#### checkServerTrusted

    public void checkServerTrusted(java.security.cert.X509Certificate[] chain,
                          java.lang.String authType)
                            throws java.security.cert.CertificateException

Throws:
  `java.security.cert.CertificateException`

#### getAcceptedIssuers

    public java.security.cert.X509Certificate[] getAcceptedIssuers()

#### checkClientTrusted

    public void checkClientTrusted(java.security.cert.X509Certificate[] chain,
                          java.lang.String authType,
                          java.net.Socket socket)
                            throws java.security.cert.CertificateException

Throws:
  `java.security.cert.CertificateException`

#### checkServerTrusted

    public void checkServerTrusted(java.security.cert.X509Certificate[] chain,
                          java.lang.String authType,
                          java.net.Socket socket)
                            throws java.security.cert.CertificateException

Throws:
  `java.security.cert.CertificateException`

#### checkClientTrusted

    public void checkClientTrusted(java.security.cert.X509Certificate[] chain,
                          java.lang.String authType,
                          javax.net.ssl.SSLEngine engine)
                            throws java.security.cert.CertificateException

Throws:
  `java.security.cert.CertificateException`

#### checkServerTrusted

    public void checkServerTrusted(java.security.cert.X509Certificate[] chain,
                          java.lang.String authType,
                          javax.net.ssl.SSLEngine engine)
                            throws java.security.cert.CertificateException

Throws:
  `java.security.cert.CertificateException`